gstreamer-1_0-plugins-buzztrax-0.10.2-43.5.x86_64.rpm


Advertisement

Description

gstreamer-1_0-plugins-buzztrax - Buzztrax GStreamer plugin

Property Value
Distribution openSUSE Tumbleweed
Repository Multimedia Apps all
Package filename gstreamer-1_0-plugins-buzztrax-0.10.2-43.5.x86_64.rpm
Package name gstreamer-1_0-plugins-buzztrax
Package version 0.10.2
Package release 43.5
Package architecture x86_64
Package type rpm
Category Productivity/Multimedia/Other
Homepage http://buzztrax.org
License GPL-2.0-or-later
Maintainer -
Download size 99.43 KB
Installed size 434.79 KB
Plugin to play Buzztrax songs from any GStreamer compatible app.

Alternatives

Package Version Architecture Repository
gstreamer-1_0-plugins-buzztrax-0.10.2-49.1.i586.rpm 0.10.2 i586 Multimedia Apps
gstreamer-1_0-plugins-buzztrax-0.10.2-13.1.x86_64.rpm 0.10.2 x86_64 openSUSE Oss
gstreamer-1_0-plugins-buzztrax-0.10.2-13.1.i586.rpm 0.10.2 i586 openSUSE Oss
gstreamer-1_0-plugins-buzztrax - - -

Requires

Name Value
buzztrax = 0.10.2
libbml.so.1()(64bit) -
libbuzztrax-core.so.1()(64bit) -
libbuzztrax-gst.so.1()(64bit) -
libbuzztrax-ic.so.1()(64bit) -
libc.so.6(GLIBC_2.4)(64bit) -
libfluidsynth.so.1()(64bit) -
libgcc_s.so.1()(64bit) -
libgcc_s.so.1(GCC_3.0)(64bit) -
libgio-2.0.so.0()(64bit) -
libglib-2.0.so.0()(64bit) -
libgobject-2.0.so.0()(64bit) -
libgstaudio-1.0.so.0()(64bit) -
libgstbase-1.0.so.0()(64bit) -
libgstcontroller-1.0.so.0()(64bit) -
libgstreamer-1.0.so.0()(64bit) -
libm.so.6()(64bit) -
libm.so.6(GLIBC_2.2.5)(64bit) -
liborc-0.4.so.0()(64bit) -
libpthread.so.0()(64bit) -
libstdc++.so.6()(64bit) -
libstdc++.so.6(CXXABI_1.3)(64bit) -
libstdc++.so.6(CXXABI_1.3.8)(64bit) -
libstdc++.so.6(CXXABI_1.3.9)(64bit) -
libstdc++.so.6(GLIBCXX_3.4)(64bit) -

Provides

Name Value
gstreamer-0_10-plugins-buzztard = 0.10.2
gstreamer-1_0-plugins-buzztrax = 0.10.2-43.5
gstreamer-1_0-plugins-buzztrax(x86-64) = 0.10.2-43.5
gstreamer1(element-fluidsynth)()(64bit) -
gstreamer1(element-sidsyn)()(64bit) -
libbuzztraxaudio.so()(64bit) -
libbuzztraxdec.so()(64bit) -
libgstbml.so()(64bit) -
libgstfluidsynth.so()(64bit) -
libgstsidsyn.so()(64bit) -

Obsoletes

Name Value
gstreamer-0_10-plugins-buzztard < 0.10.2

Download

Type URL
Mirror widehat.opensuse.org
Binary Package gstreamer-1_0-plugins-buzztrax-0.10.2-43.5.x86_64.rpm
Source Package buzztrax-0.10.2-43.5.src.rpm

Install Howto

  1. Add the Multimedia Apps repository:
    # zypper addrepo http://widehat.opensuse.org/opensuse/repositories/multimedia:/apps/openSUSE_Tumbleweed/ multimedia-apps
  2. Install gstreamer-1_0-plugins-buzztrax rpm package:
    # zypper install gstreamer-1_0-plugins-buzztrax

Files

Path
/usr/lib64/gstreamer-1.0/libbuzztraxaudio.so
/usr/lib64/gstreamer-1.0/libbuzztraxdec.so
/usr/lib64/gstreamer-1.0/libgstbml.so
/usr/lib64/gstreamer-1.0/libgstfluidsynth.so
/usr/lib64/gstreamer-1.0/libgstsidsyn.so
/usr/share/gstreamer-1.0/presets/GstBtEBeats.prs
/usr/share/gstreamer-1.0/presets/GstBtSimSyn.prs

Changelog

2018-07-04 - bjorn.lie@gmail.com
- Drop pkgconfig(gconf-2.0) BuildRequires and the macro
gconf_schemas_requires: No longer needed, nor used.
2018-06-18 - davejplater@gmail.com
- Fix Factory/Tumbleweed build failure with buzztrax-newfix.patch.
2018-06-11 - davejplater@gmail.com
- Fix gcc8 build failure with -Wno-error=restrict.
2018-03-24 - davejplater@gmail.com
- Fix build with -Wno-error=incompatible-pointer-types reported
upstream https://github.com/Buzztrax/buzztrax/issues/74
2018-01-05 - davejplater@gmail.com
- Fix build against fluidsynth-1.1.9 by adding workaround flag
- Wno-error=deprecated-declarations. Reported upstream:
https://github.com/Buzztrax/buzztrax/issues/74
2017-10-30 - davejplater@gmail.com
- Fixed spec generated baselibs.conf by adding libbuzztrax-gst.
2017-04-03 - davejplater@gmail.com
- Fix gcc7 build with buzztrax-gcc7fix.patch and the following
CFLAGS  -Wno-error=format-truncation= and
- Wno-error=format-overflow=
2016-06-28 - davejplater@gmail.com
- Removed workaround -Wno-error=misleading-indentation flag and
made buzztrax-misleading-indentation.patch from upstream git to
fix boo#985062 .
2016-06-17 - davejplater@gmail.com
- Added -Wno-error=misleading-indentation to CFLAGS as a work
around for boo#985062 and to fix build with gcc6. Will be fixed
upstream.
2016-04-05 - dimstar@opensuse.org
- Ensure the icons in hicolor are the REAL files: fdupes links them
the 'wrong way around' for xdg-app and appstream-builder.

See Also

Package Description
gtk-recordMyDesktop-0.3.8-1.17.x86_64.rpm Graphical Frontend for recordMyDesktop
gtk-recordMyDesktop-0.3.8-2.2.i586.rpm Graphical Frontend for recordMyDesktop
gtk-recordMyDesktop-lang-0.3.8-1.17.noarch.rpm Translations for package gtk-recordMyDesktop
gtk-recordMyDesktop-lang-0.3.8-2.2.noarch.rpm Translations for package gtk-recordMyDesktop
gtk1-compat-devel-0.10-1.59.x86_64.rpm Compatibility Wrappers for Old Versions of GLib, GTK+, GDK-Pixbuf and libglade
gtk1-compat-devel-0.10-1.68.i586.rpm Compatibility Wrappers for Old Versions of GLib, GTK+, GDK-Pixbuf and libglade
guayadeque-0.4.5-2.32.x86_64.rpm Guayadeque Music Player
guayadeque-0.4.5-2.39.i586.rpm Guayadeque Music Player
guitarix-0.35.3-55.19.x86_64.rpm Simple Linux amplifier for jack
guitarix-0.37.3-56.3.i586.rpm Simple Linux amplifier for jack
guvcview-2.0.5-13.3.x86_64.rpm GTK+ UVC Viewer and Capturer
guvcview-2.0.6-14.4.i586.rpm GTK+ UVC Viewer and Capturer
guvcview-devel-2.0.5-13.3.x86_64.rpm Development files for guvcview
guvcview-devel-2.0.6-14.4.i586.rpm Development files for guvcview
guvcview-lang-2.0.5-13.3.noarch.rpm Translations for package guvcview
Advertisement
Advertisement